// creator  : weidu.exe (version 23100)
// argument : _PHANDA.DLG
// game		 : .
// source	 : ./override/_PHANDA.DLG
// dialog	 : ./DIALOG.TLK
// dialogF  : (none)

BEGIN ~_PHANDA~

IF ~NumberOfTimesTalkedTo(0)
InParty([0.0.0.0.0.0.MASK_EVIL])
See([PC.0.0.0.0.0.MASK_EVIL])
~ THEN BEGIN 0 // from:
  SAY #80882 /* ~I sense evil in your party, friend.  I cannot allow you or your evil companions to threaten the good people of Baldur's Gate.~ */
  IF ~~ THEN DO ~Attack([0.0.0.0.0.0.MASK_EVIL])
~ JOURNAL #80883 /* ~My party has been attacked by Phandalyn, an over-vigilant paladin loitering in one of Baldur's Gate's many seedy taverns.  Mental note: when one depends on a party of evil, steer clear of muscle-bound paladins.~ */ EXIT
  IF ~Global("X#VicPhand","GLOBAL",0)
InParty("viconia")
InMyArea("viconia")
!StateCheck("viconia",CD_STATE_NOTVALID)
~ THEN DO ~SetGlobal("X#VicPhand","GLOBAL",1)~ EXTERN ~_VICONJ~ 116
END

IF ~NumberOfTimesTalkedTo(0)
~ THEN BEGIN 1 // from:
  SAY #80884 /* ~Your party is free of the taint of evil. Please pass unmolested.~ */
  IF ~~ THEN DO ~EscapeArea()
~ EXIT
  IF ~Global("X#AjantisPhandalyn","GLOBAL",0)
InParty("ajantis")
InMyArea("ajantis")
!StateCheck("ajantis",CD_STATE_NOTVALID)
~ THEN DO ~SetGlobal("X#AjantisPhandalyn","GLOBAL",1)~ EXTERN ~_AJANTJ~ 51
END

IF ~False()
~ THEN BEGIN 2 // from:
  SAY #80885 /* ~Death to all who seek to harbor the emissaries of darkness!~ */
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN 3 // from:
  SAY #80886 /* ~I trust your stay in the city has been uneventful.~ */
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN 4 // from:
  SAY #8124 /* ~And also with you.~ */
  IF ~~ THEN DO ~EscapeArea()
~ EXIT
END

IF ~~ THEN BEGIN 5 // from: _VICONJ:116.1
  SAY #100799 /* ~Helm shall protect me from the likes of you!~ */
  IF ~~ THEN DO ~Attack([0.0.0.0.0.0.MASK_EVIL])
~ JOURNAL #80883 /* ~My party has been attacked by Phandalyn, an over-vigilant paladin loitering in one of Baldur's Gate's many seedy taverns.  Mental note: when one depends on a party of evil, steer clear of muscle-bound paladins.~ */ EXIT
END
